/**
 * @copyright nhcarrigan
 * @license Naomi's Public License
 * @author Naomi Carrigan
 */
import { join } from "node:path";
import type { AttachmentData } from "../../interfaces/commands/attachmentData.js";
import type { Season }
  from "../../interfaces/weather/names/season.js";

/**
 * Module to generate the season icon attachment.
 * @param season - The season for which to get the icon.
 * @returns The icon attachment data.
 */
export const getSeasonIcon = (season: Season): AttachmentData => {
  const fileName = `${season.toLowerCase()}.png`;
  const filePath = join(process.cwd(), "src", "assets", "seasons", fileName);
  return {
    attachmentString: `attachment://${fileName}`,
    filePath,
  };
};
